# LobbyDBSpec::GetEmails_Data Class Reference

Gets all emails in the emails table for a particular user. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::GetEmails_Data:

List of all members.

## Public Attributes

UserIdOrHandle | id
| [in / out] Which user. If hasUserId==false userId is filled in.
bool | inbox
| [in] Check the inbox or sent emails?
bool | ascendingSort
| [in] Sort list by creationTime, ascending. False for descending.
bool | validParameters
| [out] Are the parameters of this email valid?
RakNet::RakString | failureMessage
| [out] If validParameters==false, this is why

## Detailed Description

Gets all emails in the emails table for a particular user.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.cpp